> For the complete documentation index, see [llms.txt](https://docs.visualsentinel.com/llms.txt)

# PageSpeedFailure data model

The latest failed test and consecutive failure count. Null after a successful test.

## Fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `at` | string (date-time) | Yes |   |
| `reason` | string | Yes |   |
| `strategy` | string | Yes | One of: `mobile`, `desktop`. |
| `consecutiveFailures` | integer | Yes | Consecutive failed test runs, including daily and manually requested tests. Minimum 1. |

## Used by

- [Get PageSpeed data](https://docs.visualsentinel.com/reference/monitors.md#get-monitor-pagespeed): `GET /api/monitors/{id}/pagespeed`
- [Monitor](https://docs.visualsentinel.com/reference/models/monitor.md) data model

Generated from the OpenAPI 3.1 specification at [https://docs.visualsentinel.com/openapi.json](https://docs.visualsentinel.com/openapi.json).
